--- include/class.issue.php	2009-01-13 20:09:57.681222753 +0200
+++ /usr/share/eventum/include/class.issue.php	2009-02-05 02:15:18.617317004 +0200
@@ -27,33 +27,6 @@
 // +----------------------------------------------------------------------+
 //
 
-require_once(APP_INC_PATH . "class.validation.php");
-require_once(APP_INC_PATH . "class.time_tracking.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.attachment.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "class.note.php");
-require_once(APP_INC_PATH . "class.history.php");
-require_once(APP_INC_PATH . "class.notification.php");
-require_once(APP_INC_PATH . "class.pager.php");
-require_once(APP_INC_PATH . "class.date.php");
-require_once(APP_INC_PATH . "class.category.php");
-require_once(APP_INC_PATH . "class.release.php");
-require_once(APP_INC_PATH . "class.resolution.php");
-require_once(APP_INC_PATH . "class.support.php");
-require_once(APP_INC_PATH . "class.scm.php");
-require_once(APP_INC_PATH . "class.impact_analysis.php");
-require_once(APP_INC_PATH . "class.custom_field.php");
-require_once(APP_INC_PATH . "class.phone_support.php");
-require_once(APP_INC_PATH . "class.status.php");
-require_once(APP_INC_PATH . "class.round_robin.php");
-require_once(APP_INC_PATH . "class.authorized_replier.php");
-require_once(APP_INC_PATH . "class.workflow.php");
-require_once(APP_INC_PATH . "class.priority.php");
-require_once(APP_INC_PATH . "class.reminder_action.php");
-require_once(APP_INC_PATH . "class.search_profile.php");
-require_once(APP_INC_PATH . "class.session.php");
 
 /**
  * Class designed to handle all business logic related to the issues in the
@@ -85,7 +58,7 @@
             $stmt .= " AND
                     iss_prj_id = " . Auth::getCurrentProject();
         }
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -185,7 +158,7 @@
                     iss_prj_id=" . Misc::escapeInteger($prj_id) . "
                  ORDER BY
                     iss_id ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -218,7 +191,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue
                  WHERE
                     iss_id=$issue_id";
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return '';
@@ -241,12 +214,12 @@
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue
                  SET
-                    iss_last_customer_action_date='" . Date_API::getCurrentDateGMT() . "',
-                    iss_last_public_action_date='" . Date_API::getCurrentDateGMT() . "',
+                    iss_last_customer_action_date='" . Date_Helper::getCurrentDateGMT() . "',
+                    iss_last_public_action_date='" . Date_Helper::getCurrentDateGMT() . "',
                     iss_last_public_action_type='customer action'
                  WHERE
                     iss_id=" . Misc::escapeInteger($issue_id);
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -279,7 +252,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue
                  WHERE
                     iss_id=$issue_id";
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return '';
@@ -313,7 +286,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue
                  WHERE
                     iss_id=$issue_id";
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return '';
@@ -344,7 +317,7 @@
                     iss_customer_contract_id = " . Misc::escapeInteger($contract_id) . "
                  WHERE
                     iss_id=$issue_id";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -379,7 +352,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue
                  WHERE
                     iss_id=$issue_id";
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return '';
@@ -413,7 +386,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue
                  WHERE
                     iss_id=$issue_id";
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return '';
@@ -482,12 +455,12 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue
                  SET
                     iss_sta_id=$status_id,
-                    iss_updated_date='" . Date_API::getCurrentDateGMT() . "',
-                    iss_last_public_action_date='" . Date_API::getCurrentDateGMT() . "',
+                    iss_updated_date='" . Date_Helper::getCurrentDateGMT() . "',
+                    iss_last_public_action_date='" . Date_Helper::getCurrentDateGMT() . "',
                     iss_last_public_action_type='update'
                  WHERE
                     iss_id=$issue_id";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -554,7 +527,7 @@
                         iss_pre_id = $pre_id
                     WHERE
                         iss_id = $issue_id";
-            $res = $GLOBALS["db_api"]->dbh->query($sql);
+            $res = Db_Helper::getInstance()->query($sql);
             if (PEAR::isError($res)) {
                 Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                 return -1;
@@ -580,7 +553,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue
                 WHERE
                     iss_id = " . Misc::escapeInteger($issue_id);
-        $res = $GLOBALS["db_api"]->dbh->getOne($sql);
+        $res = Db_Helper::getInstance()->getOne($sql);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return 0;
@@ -610,7 +583,7 @@
                         iss_pri_id = $pri_id
                     WHERE
                         iss_id = $issue_id";
-            $res = $GLOBALS["db_api"]->dbh->query($sql);
+            $res = Db_Helper::getInstance()->query($sql);
             if (PEAR::isError($res)) {
                 Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                 return -1;
@@ -636,7 +609,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue
                 WHERE
                     iss_id = " . Misc::escapeInteger($issue_id);
-        $res = $GLOBALS["db_api"]->dbh->getOne($sql);
+        $res = Db_Helper::getInstance()->getOne($sql);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return 0;
@@ -666,7 +639,7 @@
                         iss_prc_id = $prc_id
                     WHERE
                         iss_id = $issue_id";
-            $res = $GLOBALS["db_api"]->dbh->query($sql);
+            $res = Db_Helper::getInstance()->query($sql);
             if (PEAR::isError($res)) {
                 Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                 return -1;
@@ -692,7 +665,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue
                 WHERE
                     iss_id = " . Misc::escapeInteger($issue_id);
-        $res = $GLOBALS["db_api"]->dbh->getOne($sql);
+        $res = Db_Helper::getInstance()->getOne($sql);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return 0;
@@ -747,7 +720,7 @@
         }
         $stmt .= "\nGROUP BY
                         iss_id";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return '';
@@ -785,13 +758,13 @@
                  WHERE
                     iss_usr_id=usr_id AND
                     iss_id=$issue_id";
-        $res = $GLOBALS["db_api"]->dbh->getRow($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getRow($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return '';
         } else {
             $res['reply_subject'] = 'Re: [#' . $issue_id . '] ' . $res["sup_subject"];
-            $res['created_date_ts'] = Date_API::getUnixTimestamp($res['iss_created_date'], 'GMT');
+            $res['created_date_ts'] = Date_Helper::getUnixTimestamp($res['iss_created_date'], 'GMT');
             return $res;
         }
     }
@@ -812,19 +785,19 @@
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue
                  SET
-                    iss_updated_date='" . Date_API::getCurrentDateGMT() . "'\n";
+                    iss_updated_date='" . Date_Helper::getCurrentDateGMT() . "'\n";
         if ($type != false) {
             if (in_array($type, $public)) {
                 $field = "iss_last_public_action_";
             } else {
                 $field = "iss_last_internal_action_";
             }
-            $stmt .= ",\n " . $field . "date = '" . Date_API::getCurrentDateGMT() . "',\n" .
+            $stmt .= ",\n " . $field . "date = '" . Date_Helper::getCurrentDateGMT() . "',\n" .
                 $field . "type  ='" . Misc::escapeString($type) . "'\n";
         }
         $stmt .= "WHERE
                     iss_id=" . Misc::escapeInteger($issue_id);
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -834,18 +807,18 @@
                 $stmt = "UPDATE
                             " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue
                          SET
-                            iss_last_response_date='" . Date_API::getCurrentDateGMT() . "'
+                            iss_last_response_date='" . Date_Helper::getCurrentDateGMT() . "'
                          WHERE
                             iss_id = " . Misc::escapeInteger($issue_id);
-                $GLOBALS["db_api"]->dbh->query($stmt);
+                Db_Helper::getInstance()->query($stmt);
                 $stmt = "UPDATE
                             " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue
                          SET
-                            iss_first_response_date='" . Date_API::getCurrentDateGMT() . "'
+                            iss_first_response_date='" . Date_Helper::getCurrentDateGMT() . "'
                          WHERE
                             iss_first_response_date IS NULL AND
                             iss_id = " . Misc::escapeInteger($issue_id);
-                $GLOBALS["db_api"]->dbh->query($stmt);
+                Db_Helper::getInstance()->query($stmt);
             }
 
             return true;
@@ -869,7 +842,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue
                  WHERE
                     iss_duplicated_iss_id=" . Misc::escapeInteger($issue_id);
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -903,8 +876,8 @@
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue
                  SET
-                    iss_updated_date='" . Date_API::getCurrentDateGMT() . "',
-                    iss_last_internal_action_date='" . Date_API::getCurrentDateGMT() . "',
+                    iss_updated_date='" . Date_Helper::getCurrentDateGMT() . "',
+                    iss_last_internal_action_date='" . Date_Helper::getCurrentDateGMT() . "',
                     iss_last_internal_action_type='updated',
                     iss_prc_id=" . Misc::escapeInteger($_POST["category"]) . ",";
         if (@$_POST["keep"] == "no") {
@@ -916,7 +889,7 @@
                     iss_res_id=" . Misc::escapeInteger($_POST["resolution"]) . "
                  WHERE
                     iss_id IN (" . implode(", ", $ids) . ")";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -981,7 +954,7 @@
                  WHERE
                     iss_sta_id=sta_id AND
                     iss_duplicated_iss_id=" . Misc::escapeInteger($issue_id);
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -1005,13 +978,13 @@
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue
                  SET
-                    iss_updated_date='" . Date_API::getCurrentDateGMT() . "',
-                    iss_last_internal_action_date='" . Date_API::getCurrentDateGMT() . "',
+                    iss_updated_date='" . Date_Helper::getCurrentDateGMT() . "',
+                    iss_last_internal_action_date='" . Date_Helper::getCurrentDateGMT() . "',
                     iss_last_internal_action_type='updated',
                     iss_duplicated_iss_id=NULL
                  WHERE
                     iss_id=$issue_id";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -1040,13 +1013,13 @@
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue
                  SET
-                    iss_updated_date='" . Date_API::getCurrentDateGMT() . "',
-                    iss_last_internal_action_date='" . Date_API::getCurrentDateGMT() . "',
+                    iss_updated_date='" . Date_Helper::getCurrentDateGMT() . "',
+                    iss_last_internal_action_date='" . Date_Helper::getCurrentDateGMT() . "',
                     iss_last_internal_action_type='updated',
                     iss_duplicated_iss_id=" . Misc::escapeInteger($_POST["duplicated_issue"]) . "
                  WHERE
                     iss_id=$issue_id";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -1074,7 +1047,7 @@
                 WHERE
                     iss_id = " . Misc::escapeInteger($issue_id) . " AND
                     iss_duplicated_iss_id IS NULL";
-        $res = $GLOBALS["db_api"]->dbh->getOne($sql);
+        $res = Db_Helper::getInstance()->getOne($sql);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -1106,7 +1079,7 @@
                  WHERE
                     isu_iss_id=" . Misc::escapeInteger($issue_id) . " AND
                     isu_usr_id=usr_id";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -1131,7 +1104,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue
                  WHERE
                     iss_id=" . Misc::escapeInteger($issue_id);
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -1156,7 +1129,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue
                  WHERE
                     iss_summary='" . Misc::escapeString($summary) . "'";
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return 0;
@@ -1208,14 +1181,14 @@
             $stmt .= "$initial_status,";
         }
         $stmt .= "
-                    '" . Date_API::getCurrentDateGMT() . "',
-                    '" . Date_API::getCurrentDateGMT() . "',
+                    '" . Date_Helper::getCurrentDateGMT() . "',
+                    '" . Date_Helper::getCurrentDateGMT() . "',
                     'created',
                     '" . Misc::escapeString($_POST["summary"]) . "',
                     '" . Misc::escapeString($_POST["description"]) . "',
-                    '" . Misc::escapeString(Mail_API::generateMessageID()) . "'
+                    '" . Misc::escapeString(Mail_Helper::generateMessageID()) . "'
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return $res;
@@ -1289,7 +1262,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue
                  WHERE
                     iss_prj_id IN ($items)";
-        $res = $GLOBALS["db_api"]->dbh->getCol($stmt);
+        $res = Db_Helper::getInstance()->getCol($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -1312,7 +1285,7 @@
                             " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue
                          WHERE
                             iss_id IN ($items)";
-                $GLOBALS["db_api"]->dbh->query($stmt);
+                Db_Helper::getInstance()->query($stmt);
             }
             return true;
         }
@@ -1342,21 +1315,22 @@
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue
                  SET
-                    iss_updated_date='" . Date_API::getCurrentDateGMT() . "',
-                    iss_last_public_action_date='" . Date_API::getCurrentDateGMT() . "',
+                    iss_updated_date='" . Date_Helper::getCurrentDateGMT() . "',
+                    iss_last_public_action_date='" . Date_Helper::getCurrentDateGMT() . "',
                     iss_last_public_action_type='closed',
-                    iss_closed_date='" . Date_API::getCurrentDateGMT() . "',\n";
+                    iss_closed_date='" . Date_Helper::getCurrentDateGMT() . "',\n";
         if (!empty($resolution_id)) {
             $stmt .= "iss_res_id=$resolution_id,\n";
         }
         $stmt .= "iss_sta_id=$status_id
                  WHERE
                     iss_id=$issue_id";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
         } else {
+            Issue::moveOrderForAllUsers($issue_id, 1000);
             $prj_id = Issue::getProjectID($issue_id);
 
             // record the change
@@ -1375,7 +1349,7 @@
                     'ema_id'        =>  Email_Account::getEmailAccount(Issue::getProjectID($issue_id)),
                     'issue_id'      =>  $issue_id,
                     'message_id'    =>  $message_id,
-                    'date'          =>  Date_API::getCurrentDateGMT(),
+                    'date'          =>  Date_Helper::getCurrentDateGMT(),
                     'subject'       =>  'Issue closed comments',
                     'from'          =>  $from,
                     'has_attachment'=>  0,
@@ -1402,7 +1376,7 @@
                                 " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue
                              WHERE
                                 iss_id=$issue_id";
-                    $customer_contact_id = $GLOBALS["db_api"]->dbh->getOne($stmt);
+                    $customer_contact_id = Db_Helper::getInstance()->getOne($stmt);
                     if (!empty($customer_contact_id)) {
                         Customer::notifyIssueClosed($prj_id, $issue_id, $customer_contact_id, $send_notification, $resolution_id, $status_id, $reason);
                     }
@@ -1510,8 +1484,8 @@
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue
                  SET
-                    iss_updated_date='" . Date_API::getCurrentDateGMT() . "',
-                    iss_last_public_action_date='" . Date_API::getCurrentDateGMT() . "',
+                    iss_updated_date='" . Date_Helper::getCurrentDateGMT() . "',
+                    iss_last_public_action_date='" . Date_Helper::getCurrentDateGMT() . "',
                     iss_last_public_action_type='updated',";
         if (!empty($_POST["category"])) {
             $stmt .= "iss_prc_id=" . Misc::escapeInteger($_POST["category"]) . ",";
@@ -1542,7 +1516,7 @@
         $stmt .= "
                  WHERE
                     iss_id=$issue_id";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
